package com.bonus.canteen.core.order.weight.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@TableName("mac_plateid_bind_serial")
@ApiModel("餐盘编号物理号绑定表")
public class MacPlateidBindSerial extends Model<MacPlateidBindSerial> {
   @ApiModelProperty("id")
   private Long id;
   @TableId
   @ApiModelProperty("餐盘唯一号")
   private String plateId;
   @ApiModelProperty("餐盘唯一号")
   private Integer plateType;
   @ApiModelProperty("餐盘物理卡号")
   private String plateSerialNum;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("修改时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public String getPlateId() {
      return this.plateId;
   }

   public Integer getPlateType() {
      return this.plateType;
   }

   public String getPlateSerialNum() {
      return this.plateSerialNum;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setPlateId(final String plateId) {
      this.plateId = plateId;
   }

   public void setPlateType(final Integer plateType) {
      this.plateType = plateType;
   }

   public void setPlateSerialNum(final String plateSerialNum) {
      this.plateSerialNum = plateSerialNum;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }
}
